Bug 37869 - Missing symbols in Math Elements windows
Summary: Missing symbols in Math Elements windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: medium major
Assignee: Andras Timar
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: Elements-Pane
  Show dependency treegraph
 
Reported: 2011-06-02 17:58 UTC by Olivier Hallot
Modified: 2016-10-24 13:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Elements window in LO 3.3.2, with number sets symbols (7.39 KB, image/png)
2011-06-02 17:59 UTC, Olivier Hallot
Details
Elements window in LO 3.4-RC2, without number sets symbols (7.48 KB, image/png)
2011-06-02 18:00 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2011-06-02 17:58:15 UTC
In LO 3.4 RC2, some Math symbols are missing

Namely the number sets (naturals, integres, rationals, reals, and Complexes), N, Z, Q, R, adn C.

See attached images.
Comment 1 Olivier Hallot 2011-06-02 17:59:39 UTC
Created attachment 47465 [details]
Elements window in LO 3.3.2, with number sets symbols

With N, Z, Q, R and C
Comment 2 Olivier Hallot 2011-06-02 18:00:46 UTC
Created attachment 47466 [details]
Elements window in LO 3.4-RC2, without number sets symbols

Missing N, Z, Q, R and C.
Comment 3 clio 2011-06-02 23:14:11 UTC
I can confirm this bug with LibO 3.4 rc2 on Linux.
Comment 4 Regina Henschel 2011-06-03 02:35:48 UTC
Same bug in OOo. It is there in DEV300m88 and not there in DEV300m90.
Comment 5 Andras Timar 2011-06-07 08:08:15 UTC
I sent a patch to the mailing list fro review.
Comment 6 Jan Holesovsky 2011-06-07 09:13:50 UTC
Andras: Thank you for the fix, I pushed it to libreoffice-3-4.
Comment 7 Rainer Bielefeld Retired 2011-06-10 02:57:39 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.